import { Toast } from './types';
export declare enum ActionType {
    ADD_TOAST = 0,
    UPDATE_TOAST = 1,
    UPSERT_TOAST = 2,
    DISMISS_TOAST = 3,
    REMOVE_TOAST = 4,
    TOAST = 5,
    ADD_PAUSE = 6
}
declare type Action = {
    type: ActionType.ADD_TOAST;
    toast: Toast;
} | {
    type: ActionType.UPSERT_TOAST;
    toast: Toast;
} | {
    type: ActionType.UPDATE_TOAST;
    toast: Partial<Toast>;
} | {
    type: ActionType.DISMISS_TOAST;
    toastId?: string;
} | {
    type: ActionType.REMOVE_TOAST;
    toastId?: string;
} | {
    type: ActionType.ADD_PAUSE;
    duration: number;
};
export declare const reducer: (queue: Toast[], action: Action) => Toast[];
export declare const dispatch: (action: Action) => void;
export declare const useStore: () => Toast[];
export {};
