/// <reference types="react" />
import { Renderable, Toast } from './types';
export declare type ToastOptions = Partial<Pick<Toast, 'id' | 'icon' | 'duration' | 'role' | 'ariaLive' | 'className' | 'style'>>;
declare type ToastHandler = (message: Renderable, options?: ToastOptions) => string;
declare const toast: {
    (message: Renderable, opts?: Partial<Pick<Toast, "id" | "icon" | "duration" | "role" | "ariaLive" | "className" | "style">> | undefined): string;
    error: ToastHandler;
    success: ToastHandler;
    loading: ToastHandler;
    dismiss(toastId?: string | undefined): void;
    remove(toastId?: string | undefined): void;
    promise<T>(promise: Promise<T>, msgs: {
        loading: Renderable;
        success: string | number | JSX.Element | ((result: T) => Renderable) | null;
        error: string | number | JSX.Element | ((reason: any) => Renderable) | null;
    }, opts?: {
        loading?: Partial<Pick<Toast, "id" | "icon" | "duration" | "role" | "ariaLive" | "className" | "style">> | undefined;
        success?: Partial<Pick<Toast, "id" | "icon" | "duration" | "role" | "ariaLive" | "className" | "style">> | undefined;
        error?: Partial<Pick<Toast, "id" | "icon" | "duration" | "role" | "ariaLive" | "className" | "style">> | undefined;
    } | undefined): Promise<T>;
};
export { toast };
